CVE-2020-12761

NameCVE-2020-12761
Descriptionmodules/loaders/loader_ico.c in imlib2 1.6.0 has an integer overflow (with resultant invalid memory allocations and out-of-bounds reads) via an icon with many colors in its color map.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs960192

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
imlib2 (PTS)stretch1.4.8-1fixed
buster1.5.1-1fixed
bullseye1.7.1-2fixed
bookworm, sid1.7.4-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
imlib2sourcejessie(not affected)
imlib2sourcestretch(not affected)
imlib2sourcebuster(not affected)
imlib2source(unstable)1.6.1-2960192

Notes

[buster] - imlib2 <not-affected> (Vulnerable code introduced later)
[stretch] - imlib2 <not-affected> (Vulnerable code introduced later)
[jessie] - imlib2 <not-affected> (Vulnerable code introduced later)
https://git.enlightenment.org/legacy/imlib2.git/commit/?id=c95f938ff1effaf91729c050a0f1c8684da4dd63

Search for package or bug name: Reporting problems